Subject: Re: jumbo frames and memory fragmentation

From: Evgeniy Polyakov <[email-masked]>
Date: Fri, 30 Jun 2006 22:48:21 +0400

On Fri, Jun 30, 2006 at 11:53:36AM -0600, Chris Friesen ([email-masked]) wrote:
> >Either upgrade your kernel or backport the page-splitting code in the
> >current tree.  That's really the only sane solution for jumbo packets.
> 
> Looking at the page-splitting code, it says "82571 and greater support 
> packet-split...".  We're running the 82546GB device.  Looks like it 
> won't help me.

It definitely will.
Packet split in hardware means separating data and headers into
different pages in different reads, while software page split means that 
skb has a list of fragments where part of the packet will be DMAed, so
jumbo frame will be converted into several pages.

-- 
	Evgeniy Polyakov